Bug 593509 - [abrt] crash in jokosher-1.0-0.12.20100503bzr.fc12: Event.py:1189:__UpdateFadeLevels:ZeroDivisionError: float division
Summary: [abrt] crash in jokosher-1.0-0.12.20100503bzr.fc12: Event.py:1189:__UpdateFad...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: jokosher
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Brown
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e772c78f
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-19 01:45 UTC by netmastr
Modified: 2010-08-08 10:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-08 10:12:49 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.41 KB, text/plain)
2010-05-19 01:45 UTC, netmastr
no flags Details

Description netmastr 2010-05-19 01:45:57 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/jokosher '/home/peter/Documents/Spring Concert/Spring Concert.jokosher'
component: jokosher
executable: /usr/bin/jokosher
kernel: 2.6.32.11-99.fc12.x86_64
package: jokosher-1.0-0.12.20100503bzr.fc12
reason: Event.py:1189:__UpdateFadeLevels:ZeroDivisionError: float division
release: Fedora release 12 (Constantine)

backtrace
-----
Event.py:1189:__UpdateFadeLevels:ZeroDivisionError: float division

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/Jokosher/EventViewer.py", line 970, in OnMouseUp
    self.SetAudioFadePointsFromCurrentSelection()
  File "/usr/lib/python2.6/site-packages/Jokosher/EventViewer.py", line 1291, in SetAudioFadePointsFromCurrentSelection
    self.event.AddAudioFadePoints(selection[0], selection[1], volLeft, volRight)
  File "/usr/lib/python2.6/site-packages/Jokosher/UndoSystem.py", line 78, in UndoWrapper
    result = func(funcSelf, *args, **kwargs)
  File "/usr/lib/python2.6/site-packages/Jokosher/Event.py", line 1062, in AddAudioFadePoints
    self.__UpdateAudioFadePoints()
  File "/usr/lib/python2.6/site-packages/Jokosher/Event.py", line 1138, in __UpdateAudioFadePoints
    self.__UpdateFadeLevels()
  File "/usr/lib/python2.6/site-packages/Jokosher/Event.py", line 1189, in __UpdateFadeLevels
    slope = (secondFadeValue - firstFadeValue) / (secondFadeTime - firstFadeTime)
ZeroDivisionError: float division

Local variables in innermost frame:
slope: -0.00030432136335970786
rel_time: 3206
firstFadeTime: 172274
secondFadeTime: 172274
self: Event: 'MIXST001.WAV' (8) : 0 -> 172
new_fade_value: 0.024345709068776644
peak: 7873550593759816704
sameValues: False
iterFadePoints: <listiterator object at 0x23d3510>
endtime: 172310
peak_delta: -0.97565429093122336
firstFadeValue: 0.0
secondFadeValue: 1.0

How to reproduce
-----
1.I've been getting these errors just running the program after install.
2.
3.

Comment 1 netmastr 2010-05-19 01:45:59 UTC
Created attachment 414996 [details]
File: backtrace

Comment 2 Fedora Update System 2010-07-03 15:53:50 UTC
jokosher-1.0-0.12.20100703bzr.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100703bzr.fc13

Comment 3 Christopher Brown 2010-07-03 19:38:53 UTC
Hi,

Please could you test the update to confirm whether this has fixed this issue for you.

Thanks

Comment 4 Fedora Update System 2010-07-06 17:32:14 UTC
jokosher-1.0-0.12.20100703bzr.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update jokosher'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100703bzr.fc13

Comment 5 Fedora Update System 2010-07-31 18:33:23 UTC
jokosher-1.0-0.12.20100703bzr.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/jokosher-1.0-0.12.20100703bzr.fc14

Comment 6 Fedora Update System 2010-08-01 19:24:21 UTC
jokosher-1.0-0.12.20100703bzr.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.